Debian Bug report logs - #282815
cscope: Vulnerable to CAN-2004-0996

version graph

Package: cscope; Maintainer for cscope is Tobias Klauser <tklauser@distanz.ch>; Source for cscope is src:cscope.

Reported by: Martin Pitt <mpitt@debian.org>

Date: Wed, 24 Nov 2004 18:03:11 UTC

Severity: grave

Tags: fixed, patch, security

Found in version 15.5-1

Fixed in version cscope/15.5+cvs20050816-1

Done: Anthony Fok <foka@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anthony Fok <foka@debian.org>:
Bug#282815; Package cscope. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
New Bug report received and forwarded. Copy sent to Anthony Fok <foka@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cscope: Vulnerable to CAN-2004-0996
Date: Wed, 24 Nov 2004 18:57:46 +0100
[Message part 1 (text/plain, inline)]
Package: cscope
Version: 15.5-1
Severity: grave
Tags: security patch
Justification: user security hole

Hi!

cscope is vulnerable to a temporary file flaw (CAN-2004-0996). See 

  http://lists.netsys.com/pipermail/full-disclosure/2004-November/029341.html

for details. I just prepared an updated Ubuntu package, you can get
the debdiff from

  http://patches.ubuntu.com/patches/cscope.CAN-2004-0996.diff

Joey is already notified, he cares for a woody update. Please fix the
unstable and testing version.

Thanks,

Martin

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.9
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8

-- 
Martin Pitt                       http://www.piware.de
Ubuntu Developer            http://www.ubuntulinux.org
Debian GNU/Linux Developer       http://www.debian.org
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Anthony Fok <foka@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Pitt <mpitt@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 282815-close@bugs.debian.org (full text, mbox):

From: Anthony Fok <foka@debian.org>
To: 282815-close@bugs.debian.org
Subject: Bug#282815: fixed in cscope 15.5+cvs20050816-1
Date: Sun, 13 Nov 2005 07:02:03 -0800
Source: cscope
Source-Version: 15.5+cvs20050816-1

We believe that the bug you reported is fixed in the latest version of
cscope, which is due to be installed in the Debian FTP archive:

cscope_15.5+cvs20050816-1.diff.gz
  to pool/main/c/cscope/cscope_15.5+cvs20050816-1.diff.gz
cscope_15.5+cvs20050816-1.dsc
  to pool/main/c/cscope/cscope_15.5+cvs20050816-1.dsc
cscope_15.5+cvs20050816-1_i386.deb
  to pool/main/c/cscope/cscope_15.5+cvs20050816-1_i386.deb
cscope_15.5+cvs20050816.orig.tar.gz
  to pool/main/c/cscope/cscope_15.5+cvs20050816.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 282815@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anthony Fok <foka@debian.org> (supplier of updated cscope package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Nov 2005 00:30:02 +0800
Source: cscope
Binary: cscope
Architecture: source i386
Version: 15.5+cvs20050816-1
Distribution: unstable
Urgency: low
Maintainer: Anthony Fok <foka@debian.org>
Changed-By: Anthony Fok <foka@debian.org>
Description: 
 cscope     - Interactively examine a C program source
Closes: 282815 298931 315466
Changes: 
 cscope (15.5+cvs20050816-1) unstable; urgency=low
 .
   * New upstream CVS as of 2005-08-16.  Fixes the following in Debian BTS:
      - 2004-06-23  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>
         * src/dir.c (makefilelist): Fix broken movement of point_in_line
           when parsing quoted names.  Simplify structure by moving default
           handling upward.
        Closes: Bug#298931 - bug in handling quote-protected filenames in
                             cscope.files
      - 2004-12-06  Neil Horman  <nhorman@gmail.com>
         * src/main.c: Fix for temp file security bug (sourceforge
           bug number 1062807 / CAN-2004-0970 [sic, should be CAN-2004-0996])
        Acknowledge NMU of 15.5-1.1 (Thanks to Joey Hess, Martin Pitt
        and Gerardo Di Giacomo).  Upstream fixed the same issue in a
        slightly different way, by creating a temp directory to store
        the temp files.  (Closes: #282815)
   * xcscope.el: Applied Lasse Kantola's change_let_to_setq.patch
     so that disabling of fuzzy matching would work correctly.
     (Closes: Bug#315466)
   * Adds Build-Depends: automake1.7 to avoid warnings.
   * Updated Standards-Version: from to 3.6.2.
   * Updated author list in debian/copyright.
Files: 
 29e07b4cf15de58be9c290279e255040 645 devel optional cscope_15.5+cvs20050816-1.dsc
 77267e7e0b9e3ec4a223313be08f7a06 261713 devel optional cscope_15.5+cvs20050816.orig.tar.gz
 14d192c7600fa65012e94e772b9c2b18 38245 devel optional cscope_15.5+cvs20050816-1.diff.gz
 00131acfe2157e41156e30daf231e873 142454 devel optional cscope_15.5+cvs20050816-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDd1LhLa8qZm1n95ARAsrfAKCAKvabgVqG+/IkibeK7MjHJ1Bl5QCfbFA6
F/Iw7P7iFWmBE/+SQUGZ+Jo=
=ZEez
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 16:43:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:06:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.